<?php
require_once("alipay.config.php");
require_once("lib/alipay_notify.class.php");
include_once("../../../lib/cs_conn.php");
include_once("../../../lib/cs_common.php");
?>
<!DOCTYPE HTML>
<html>
    <head>
    <meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<?php
//计算得出通知验证结果
$alipayNotify = new AlipayNotify($aliapy_config);
$verify_result = $alipayNotify->verifyReturn();
if($verify_result) {//验证成功
    $out_trade_no	= CS_Request("out_trade_no");	//获取订单号
    $trade_no		= CS_Request("trade_no");	//获取支付宝交易号
    $total_fee		= CS_Request("total_fee");		//获取总价格
    $payuser		= CS_Request("subject");

    if(CS_Request('trade_status') == 'TRADE_FINISHED' || CS_Request('trade_status') == 'TRADE_SUCCESS') {
    }
    else {
      echo "trade_status=".CS_Request('trade_status');
    }
		
	               global $db;
	               //检测订单，存在就加点
	               $row=$db->getrow("select * from ".Getdbname('pay')." where cs_dingdan='".$out_trade_no."' and cs_pid=0");
	               if($row){
	               $CS_RMB=$row["CS_RMB"];
			   $db->query("update ".Getdbname('pay')." set CS_Pid=1 where CS_Dingdan='".$out_trade_no."'");

                           if($row["CS_Type"]=='vip'){   //升级VIP
				if($CS_RMB==30){
                                    $VipDs=CS_VipDs1;
                                }elseif($CS_RMB==180){
                                    $VipDs=CS_VipDs2;
                                }elseif($CS_RMB==365){
                                    $VipDs=CS_VipDs3;
                                }
                                $rowu=$db->getrow("select * from ".Getdbname('user')." where cs_name='".$row["CS_User"]."'");
				$time1=$rowu["CS_VipTime"];
				$time2=date('Y-m-d');
				$diff=strtotime($time1)-strtotime($time2);
				if($diff<0){
					$mydate=mktime(0,0,0,date("m")+$CS_RMB,date("d"),date("Y"));
					$NewUseDate= date("Y-m-d H:i:s",$mydate);
					$sqlv="update ".Getdbname('user')." set cs_viptime='".date('Y-m-d H:i:s')."',cs_endtime='".$NewUseDate."' where CS_Name='".$row["CS_User"]."'";
					$db->query($sqlv);
				}else{
					$strtimes = explode(" ",$rowu["CS_EndTime"]);
					$timearray = explode("-",$strtimes[0]);
					$year = $timearray[0];
					$month = $timearray[1];
					$day = $timearray[2]+$CS_RMB;
					$mydate2=mktime(0,0,0,$month,$day,$year);
					$NewUseDate=date("Y-m-d H:i:s",$mydate2);
					$sqlv="update ".Getdbname('user')." set cs_endtime='".$NewUseDate."' where CS_Name='".$row["CS_User"]."'";
					$db->query($sqlv);
				}
				//产生消息
				$content="恭喜您，成功升级了VIP会员".$CS_RMB."天，VIP到期时间:".$NewUseDate."，若出现问题请尽快联系客服。";
				$s_addtime=date('Y-m-d H:i:s');
				$sqlx="insert into ".Getdbname('xiaoxi')." (cs_usera,cs_userb,cs_name,cs_neir,cs_addtime) values ('".$row["CS_User"]."','系统消息','升级VIP - 系统消息','".$content."','".date('Y-m-d H:i:s')."')";
				if($db->query($sqlx));
	                        echo "恭喜您，成功升级了VIP会员".$CS_RMB."天，VIP到期时间:".$NewUseDate."，若出现问题请尽快联系客服。</br>";
	                        echo "请牢记您的定单号：".$out_trade_no;

                           }else{   //充值金币

				$db->query("update ".Getdbname('user')." set CS_Cion=CS_Cion+$CS_RMB where CS_Name='".$row["CS_User"]."'");
				//产生消息
				$content="恭喜您，成功充值了 ".$CS_RMB." 元，若出现问题请尽快联系客服。";
				$s_addtime=date('Y-m-d H:i:s');
				$sqlx="insert into ".Getdbname('xiaoxi')." (cs_usera,cs_userb,cs_name,cs_neir,cs_addtime) values ('".$row["CS_User"]."','系统消息','充值成功 - 系统消息','".$content."','".date('Y-m-d H:i:s')."')";
				if($db->query($sqlx));
	                        echo "恭喜您，成功充值了 ".$CS_RMB." 元，若出现问题请尽快联系客服。</br>";
	                        echo "请牢记您的定单号：".$out_trade_no;
                           }

	               }else{
	                        echo "验证失败,非法订单。";
	               }
}else {
    //验证失败
    echo "验证失败";
}
?>
        <title>支付宝即时到帐接口</title>
	</head>
    <body>
    </body>
</html>